OpenNMS API 1.2.9

## org.opennms.netmgt.scheduler
Class ScheduleTest.MockSchedulable

    java.lang.Object
      org.opennms.netmgt.scheduler.ScheduleTest.MockSchedulable

All Implemented Interfaces:
  ReadyRunnable, java.lang.Runnable

Enclosing class:
  ScheduleTest

class ScheduleTest.MockSchedulable
extends java.lang.Object
implements ReadyRunnable

Field Summary
`private boolean` `m_callingAdjustSchedule`
`private int` `runCount`

Constructor Summary
`(package private)` `ScheduleTest.MockSchedulable()`

Method Summary
`int` `getRunCount()`
`boolean` `isCallingAdjustSchedule()`
`boolean` `isReady()` Returns true if the runnable is ready to start.
`void` `run()`
`void` `setCallingAdjustSchedule(boolean callingAdjustSchedule)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### runCount

    private int runCount

### m_callingAdjustSchedule

    private boolean m_callingAdjustSchedule

Constructor Detail

### ScheduleTest.MockSchedulable

    ScheduleTest.MockSchedulable()

Method Detail

### isReady

    public boolean isReady()

  Description copied from interface: `ReadyRunnable`
  Returns true if the runnable is ready to start.

  Specified by:
    `isReady` in interface `ReadyRunnable`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### getRunCount

    public int getRunCount()

### setCallingAdjustSchedule

    public void setCallingAdjustSchedule(boolean callingAdjustSchedule)

### isCallingAdjustSchedule

    public boolean isCallingAdjustSchedule()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.